Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.skype.ipc
Class SidRoot

    java.lang.Object
      com.skype.ipc.SidRoot

All Implemented Interfaces:
  ClientDecodingListener, ClientEncodingListener, ObjectFactoring

Direct Known Subclasses:
  Skype

    public abstract class SidRoot

extends java.lang.Object
implements ClientEncodingListener, ClientDecodingListener, ObjectFactoring

Base class for a SID interface. Most of function are internal even when public. The functions to be used in the application are documented ones.

Nested Class Summary
`protected class` | `SidRoot.EventThread`

Field Summary
`protected com.skype.ipc.BinProtocolClientDecoder` | `mSidDecoder`
`protected com.skype.ipc.BinProtocolClientEncoder` | `mSidEncoder`
`protected int` | `mSidTimestamp`

Constructor Summary
`protected` | `SidRoot()`

Method Summary
`SidObject` | `flushCache(SidObject keep)`
`ConnectionListener` | `getConnectionListener()`
`boolean` | `init(ClientConfiguration configuration, ConnectionListener listener)` initialize the connection to the runtime, and the interface cache accordingly to the configuration
`void` | `registerConnectionListener(ConnectionListener listener)`
`protected Encoding` | `sidBeginMultiGet(PropertyEnumConverting[] properties, int modid, int oid)`
`protected abstract SidObject` | `sidCreateObject(int mid, int oid)`
`protected SidObject` | `sidDecodeEventTarget(int mid, Decoding decoder)`
`abstract void` | `sidDispatchEvent(int modId, int evId, Decoding decoder)`
`protected Decoding` | `sidDoGetRequest(byte[] request, int oid)`
`protected Encoding` | `sidDoRequest(byte[] request)`
`protected Encoding` | `sidDoRequest(byte[] request, int oid)`
`SidObject` | `sidGetObject(int mid, int oid)`
`SidObject` | `sidGetObjectIfPresent(int mid, int oid)`
`void` | `sidOnFatalError(java.io.IOException e)`
`Decoding` | `sidOnGetRequestEncoded()`
`void` | `sidOnGetResponseDecoded()`
`Decoding` | `sidOnOneWayRequestEncoded(int requestId)`
`Decoding` | `sidOnRequestEncoded(int requestId)`
`void` | `sidOnResponseDecoded()`
`protected void` | `sidPollEvent()`
`protected void` | `sidRemove(java.lang.Integer oid)`
`boolean` | `sidWantRead()`
`abstract boolean` | `start()` start the session after init, once all the runtime setups have been done
`void` | `stop()` stop and terminate the connection to a runtime
`void` | `unRegisterConnectionListener(ConnectionListener listener)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface com.skype.ipc.ObjectFactoring
`sidGetObjects`

Field Detail

### mSidTimestamp

    protected int mSidTimestamp

### mSidEncoder

    protected com.skype.ipc.BinProtocolClientEncoder mSidEncoder

### mSidDecoder

    protected com.skype.ipc.BinProtocolClientDecoder mSidDecoder

Constructor Detail

### SidRoot

    protected SidRoot()

Method Detail

### sidPollEvent

    protected void sidPollEvent()

### sidDispatchEvent

    public abstract void sidDispatchEvent(int modId,
                                          int evId,
                                          Decoding decoder)

### sidWantRead

    public boolean sidWantRead()

  Specified by:
    `sidWantRead` in interface `ClientDecodingListener`

### init

    public boolean init(ClientConfiguration configuration,
                        ConnectionListener listener)

  initialize the connection to the runtime, and the interface cache accordingly to the configuration

  Parameters:
    `configuration` - defining the connection parameters to the runtime
    `listener` - callbacks to check the status of the connection return success or failure to connect

### sidDecodeEventTarget

    protected SidObject sidDecodeEventTarget(int mid,
                                             Decoding decoder)

### start

    public abstract boolean start()

  start the session after init, once all the runtime setups have been done

### stop

    public void stop()

  stop and terminate the connection to a runtime

### sidOnFatalError

    public void sidOnFatalError(java.io.IOException e)

### sidGetObjectIfPresent

    public SidObject sidGetObjectIfPresent(int mid,
                                           int oid)

### sidGetObject

    public SidObject sidGetObject(int mid,
                                  int oid)

  Specified by:
    `sidGetObject` in interface `ObjectFactoring`

### sidCreateObject

    protected abstract SidObject sidCreateObject(int mid,
                                                 int oid)

### sidRemove

    protected void sidRemove(java.lang.Integer oid)

### sidBeginMultiGet

    protected Encoding sidBeginMultiGet(PropertyEnumConverting[] properties,
                                        int modid,
                                        int oid)
                                 throws java.io.IOException

  Throws:
    `java.io.IOException`

### sidDoGetRequest

    protected Decoding sidDoGetRequest(byte[] request,
                                       int oid)
                                throws java.io.IOException

  Throws:
    `java.io.IOException`

### sidOnGetRequestEncoded

    public Decoding sidOnGetRequestEncoded()
                                    throws java.io.IOException

  Specified by:
    `sidOnGetRequestEncoded` in interface `ClientEncodingListener`
  Throws:
    `java.io.IOException`

### sidOnGetResponseDecoded

    public void sidOnGetResponseDecoded()

  Specified by:
    `sidOnGetResponseDecoded` in interface `ClientDecodingListener`

### sidDoRequest

    protected Encoding sidDoRequest(byte[] request)
                             throws java.io.IOException

  Throws:
    `java.io.IOException`

### sidDoRequest

    protected Encoding sidDoRequest(byte[] request,
                                    int oid)
                             throws java.io.IOException

  Throws:
    `java.io.IOException`

### sidOnRequestEncoded

    public Decoding sidOnRequestEncoded(int requestId)
                                 throws java.io.IOException

  Specified by:
    `sidOnRequestEncoded` in interface `ClientEncodingListener`
  Throws:
    `java.io.IOException`

### sidOnOneWayRequestEncoded

    public Decoding sidOnOneWayRequestEncoded(int requestId)

  Specified by:
    `sidOnOneWayRequestEncoded` in interface `ClientEncodingListener`

### sidOnResponseDecoded

    public void sidOnResponseDecoded()

  Specified by:
    `sidOnResponseDecoded` in interface `ClientDecodingListener`

### registerConnectionListener

    public void registerConnectionListener(ConnectionListener listener)

### unRegisterConnectionListener

    public void unRegisterConnectionListener(ConnectionListener listener)

### getConnectionListener

    public ConnectionListener getConnectionListener()

### flushCache

    public SidObject flushCache(SidObject keep)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2010, 2011 Skype Technologies. All Rights Reserved.